#
# spec file for package python-deprecation
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-deprecation
Version:        1.0.1
Release:        1.1
Summary:        A library to handle automated deprecations
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://deprecation.readthedocs.io/
Source:         https://files.pythonhosted.org/packages/source/d/deprecation/deprecation-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
The `deprecation` library provides a `deprecated` decorator and a
`fail_if_not_removed` decorator for your tests. Together, the two
enable the automation of several things:

%prep
%setup -q -n deprecation-%{version}

%build

%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Tue May  2 2017 tbechtold@suse.com
- update to 1.0.1
- remove 0001-Fix-encoding-when-reading-README.rst.patch . Applied
  upstream.
* Tue May  2 2017 tbechtold@suse.com
- Initial packaging (version 1.0)
